Page MenuHomeFreeBSD

Update www/gitlab to version 10.7.3.
ClosedPublic

Authored by mfechner on May 6 2018, 7:18 AM.

Details

Summary

Commit message:
Update gitlab to 10.7.3.
For list of changes look here: https://about.gitlab.com/2018/04/22/gitlab-10-7-released/
Please note that gitlab-pages is temporarily removed and will be added later if upstream bug is fixed.
To not update to this version if you require gitlab-pages.
The Gemfile.lock is now generated on gitlab startup, so this should help with Gemfile issues.

Reviewed by: tz/swills (mentor)
Approved by: tz/swills (mentor)
Differential Revision: URL to this revision

Test Plan

All patches are build, you can find all build logs:
https://pkg.fechner.net/jail.html?mastername=111amd64-gitlab

The fresh packages are tested against a new installation using:
https://gitlab.fechner.net/mfechner/Gitlab-vagrant

An old version is updated following the manual:
https://gitlab.fechner.net/mfechner/Gitlab-docu

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mfechner created this revision.May 6 2018, 7:18 AM
mfechner edited the summary of this revision. (Show Details)May 13 2018, 8:29 AM
swills accepted this revision.May 14 2018, 4:39 PM

Looks OK to me, would be nice to include the install/upgrade docs in the port/package instead of just the web site. Maybe something for the next release.

This revision is now accepted and ready to land.May 14 2018, 4:39 PM
This revision was automatically updated to reflect the committed changes.